Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.pix.source
Class PixMsgADT

    java.lang.Object
      org.eclipse.ohf.hl7v2.core.utilities.Worker
          org.eclipse.ohf.hl7v2.core.message.model.Node
              org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
                  org.eclipse.ohf.hl7v2.core.message.model.Message
                      org.eclipse.ohf.ihe.common.hl7v2.message.PixPdqMessage
                          org.eclipse.ohf.ihe.pix.source.PixMsgADT

All Implemented Interfaces:
  HL7_Constants

Direct Known Subclasses:
  PixMsgAdmitInpatient, PixMsgMergePatient, PixMsgPreadmitInpatient, PixMsgRegisterOutpatient, PixMsgUpdatePatient

    public class PixMsgADT

extends PixPdqMessage

PIX/PDQ Client PIX Source HL7 Generic ADT Message

Author:
  Sondra Renly

Field Summary
`static java.lang.String` | `MSH_9_1_PIXS` IHE PDQ Message Type
`static java.lang.String` | `MSH_9_2_PIXS_A01`
`static java.lang.String` | `MSH_9_2_PIXS_A04`
`static java.lang.String` | `MSH_9_2_PIXS_A05`
`static java.lang.String` | `MSH_9_2_PIXS_A08`
`static java.lang.String` | `MSH_9_2_PIXS_A40`
`static java.lang.String` | `MSH_9_3_PIXS`
`static java.lang.String` | `MSH_9_3_PIXS_A05`
`static java.lang.String` | `MSH_9_3_PIXS_A40`

Fields inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`MODE_TYPE_SEGMENT, NODE_TYPE_COMPONENT, NODE_TYPE_FIELD, NODE_TYPE_LIST, NODE_TYPE_MESSAGE, NODE_TYPE_SUBCOMPONENT`

Fields inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`hecAccepted, hecApplicationError, hecBadField, hecBadMessage, hecBadSegCode, hecConformance, hecDataTypeError, hecDefinitionError, hecDuplicateKey, hecDuplicateMsgId, hecHL7LibraryError, hecInternalError, hecNoDefinitions, hecNoTableValue, hecRecordLocked, hecRequiredField, hecRequiredSeg, hecSequenceError, hecSuperfluousSeg, hecUnknownKey, hecUnsEvntCode, hecUnsMsgType, hecUnsProcID, hecUnsVersion, hecValidationFailed, hecXML`

Fields inherited from interface org.eclipse.ohf.ihe.common.hl7v2.message.HL7_Constants
`DSC, DSC_1, DSC_2, ERR, EVN, EVN_2_1, MRG, MRG_1_1, MRG_1_4_1, MRG_1_4_2, MRG_1_4_3, MSA, MSH, MSH_10, MSH_11_1, MSH_11_1_PRODUCTION, MSH_12, MSH_18_1, MSH_18_1_ASCII, MSH_3_1, MSH_3_1_DEFAULT, MSH_3_2, MSH_3_3, MSH_4_1, MSH_4_1_DEFAULT, MSH_4_2, MSH_4_3, MSH_5_1, MSH_5_1_DEFAULT, MSH_5_2, MSH_5_3, MSH_6_1, MSH_6_1_DEFAULT, MSH_6_2, MSH_6_3, MSH_7, PD1, PID, PID_11_1, PID_11_10, PID_11_2, PID_11_3, PID_11_4, PID_11_5, PID_11_6, PID_11_7, PID_11_8, PID_11_9, PID_13_1, PID_14_1, PID_18_1, PID_18_4_1, PID_18_4_2, PID_18_4_3, PID_3_1, PID_3_4_1, PID_3_4_1_DEFAULT, PID_3_4_2, PID_3_4_2_DEFAULT, PID_3_4_3, PID_3_4_3_DEFAULT, PID_5_1, PID_5_2, PID_5_3, PID_5_4, PID_5_5, PID_5_6, PID_7_1, PID_8, PV1, PV1_2, PV1_2_INPATIENT, PV1_2_OUTPATIENT, QAK, QPD, QPD_1_1, QPD_1_2, QPD_1_3, QPD_1_4, QPD_1_5, QPD_1_6, QPD_2, QPD_3_1, QPD_3_4_1, QPD_3_4_2, QPD_3_4_3, QPD_8_4_1, QPD_8_4_2, QPD_8_4_3, RCP, RCP_1, RCP_1_IMMEDIATE, RCP_2_1, RCP_2_2_1, RCP_2_2_1_RECORDS`

Constructor Summary
`PixMsgADT(org.eclipse.ohf.hl7v2.core.message.MessageManager globalFactory, org.eclipse.ohf.hl7v2.core.conformance.model.CPConformanceProfile cpProfile, int version, java.lang.String msgEventType, java.lang.String patientId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` Constructs a PIX Source Client ADT message object enabled for validation.

Method Summary
`void` | `addOptionalPatientAccountNumberId(java.lang.String accountNumberId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` PID-18 Patient Account Number
`void` | `addOptionalPatientAddressCensusTract(java.lang.String censusTract)` PID-11-10 Patient Address - Census Tract
`void` | `addOptionalPatientAddressCity(java.lang.String city)` PID-11-3 Patient Address - City
`void` | `addOptionalPatientAddressCountry(java.lang.String country)` PID-11-6 Patient Address - Country
`void` | `addOptionalPatientAddressCountyParishCode(java.lang.String countyParishCode)` PID-11-9 Patient Address - County or Parish Code
`void` | `addOptionalPatientAddressOtherDesignation(java.lang.String address)` PID-11-2 Patient Address - Other Designation
`void` | `addOptionalPatientAddressOtherGeographicDesignation(java.lang.String otherDesignation)` PID-11-8 Patient Address - Other Geographic Designation
`void` | `addOptionalPatientAddressStateOrProvince(java.lang.String stateOrProvince)` PID-11-4 Patient Address - State or Province
`void` | `addOptionalPatientAddressStreetAddress(java.lang.String address)` PID-11-1 Patient Address - Street Address
`void` | `addOptionalPatientAddressType(java.lang.String type)` PID-11-7 Patient Address - Address Type
`void` | `addOptionalPatientAddressZipOrPostalCode(java.lang.String zipOrPostalCode)` PID-11-5 Patient Address - Zip or Postal Code
`void` | `addOptionalPatientDateOfBirth(java.lang.String dob)` PID-7 Date/Time of Birth
`void` | `addOptionalPatientId(java.lang.String patientId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` PID-3 Patient ID (internal)
`void` | `addOptionalPatientNameDegree(java.lang.String degree)` PID-5-6 Patient Name - Degree
`void` | `addOptionalPatientNameFamilyName(java.lang.String familyName)` PID-5-1 Patient Name - Family Name
`void` | `addOptionalPatientNameGivenName(java.lang.String givenName)` PID-5-2 Patient Name - Given Name
`void` | `addOptionalPatientNameOtherName(java.lang.String otherName)` PID-5-3 Patient Name - Other Name
`void` | `addOptionalPatientNamePrefix(java.lang.String prefix)` PID-5-5 Patient Name - Prefix
`void` | `addOptionalPatientNameSuffix(java.lang.String suffix)` PID-5-4 Patient Name - Suffix
`void` | `addOptionalPatientPhoneBusinessUnformattedTelephoneNumber(java.lang.String businessPhone)` PID-14-1 Business Phone Unformatted
`void` | `addOptionalPatientPhoneHomeUnformattedTelephoneNumber(java.lang.String homePhone)` PID-13-1 Home Phone Unformatted
`void` | `addOptionalPatientSex(java.lang.String sex)` PID-8 Administrative Sex

Methods inherited from class org.eclipse.ohf.ihe.common.hl7v2.message.PixPdqMessage
`changeDefaultCharacterSet, changeDefaultControlId, changeDefaultProcessEnvironment, changeDefaultReceivingApplication, changeDefaultRecievingFacility, changeDefaultSendingApplication, changeDefaultSendingFacility, getCharacterSet, getMessageControlID, getProcessEnvironment, getReceivingApplication, getReceivingFacility, getSendingApplication, getSendingFacility, setField, setNonNullElement`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Message
`addMSHFromFields, addMSHFromFields, bindToMSH, clear, clearContent, elementName, equals, forceElement, getDefaultFormat, getDelimiters, getElement, getEvent, getMessageId, getMessageType, getSegments, getStructId, getStructure, hasStructId, resolveVariableTypes, setDefaultFormat, setDelimiters, setEvent, setMessageId, setMessageType, setStructId, testIsElement`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
`getDefinitions, getVersion, getVersionDefinition, setDefinitions, setVersion`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`getOwner, hasOwner, isElement, setOwner`

Methods inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`condition`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MSH_9_1_PIXS

    public static final java.lang.String MSH_9_1_PIXS

  IHE PDQ Message Type

  See Also:
    Constant Field Values

### MSH_9_2_PIXS_A01

    public static final java.lang.String MSH_9_2_PIXS_A01

See Also:
  Constant Field Values

### MSH_9_2_PIXS_A04

    public static final java.lang.String MSH_9_2_PIXS_A04

See Also:
  Constant Field Values

### MSH_9_2_PIXS_A05

    public static final java.lang.String MSH_9_2_PIXS_A05

See Also:
  Constant Field Values

### MSH_9_2_PIXS_A08

    public static final java.lang.String MSH_9_2_PIXS_A08

See Also:
  Constant Field Values

### MSH_9_2_PIXS_A40

    public static final java.lang.String MSH_9_2_PIXS_A40

See Also:
  Constant Field Values

### MSH_9_3_PIXS

    public static final java.lang.String MSH_9_3_PIXS

See Also:
  Constant Field Values

### MSH_9_3_PIXS_A05

    public static final java.lang.String MSH_9_3_PIXS_A05

See Also:
  Constant Field Values

### MSH_9_3_PIXS_A40

    public static final java.lang.String MSH_9_3_PIXS_A40

See Also:
  Constant Field Values

Constructor Detail

### PixMsgADT

    public PixMsgADT(org.eclipse.ohf.hl7v2.core.message.MessageManager globalFactory,
                     org.eclipse.ohf.hl7v2.core.conformance.model.CPConformanceProfile cpProfile,
                     int version,
                     java.lang.String msgEventType,
                     java.lang.String patientId,
                     java.lang.String namespaceId,
                     java.lang.String universalId,
                     java.lang.String universalIdType)
              throws PixSourceException

  Constructs a PIX Source Client ADT message object enabled for validation. INTERNAL CONSTRUCTOR ONLY - use PixSource.admitInpatient(patientId, namespaceId, universalId, universalIdType); PixSource.registerOutpatient(patientId); PixSource.preadmitInpatient(patientId); PixSource.updatePatient(patientId, patientClass); PixSource.mergePatient(patientId, patientClass, priorId);

  Parameters:
    `globalFactory` - - message manager from hl7v2.core
    `cpProfile` - - conformance profile for validation (ex. resources > conf > ADT-A04(register outpatient).XML)
    `version` - - hl7 version for message
    `msgEventType` - - transaction (A01, A04, A05, A08, A40)
    `patientId` -
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Throws:
    `PixSourceException`

Method Detail

### addOptionalPatientId

    public void addOptionalPatientId(java.lang.String patientId,
                                     java.lang.String namespaceId,
                                     java.lang.String universalId,
                                     java.lang.String universalIdType)
                              throws PixSourceException

  PID-3 Patient ID (internal)

  Parameters:
    `patientId` -
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Throws:
    `PixSourceException`

### addOptionalPatientNameFamilyName

    public void addOptionalPatientNameFamilyName(java.lang.String familyName)
                                          throws PixSourceException

  PID-5-1 Patient Name - Family Name

  Parameters:
    `familyName` -
  Throws:
    `PixSourceException`

### addOptionalPatientNameGivenName

    public void addOptionalPatientNameGivenName(java.lang.String givenName)
                                         throws PixSourceException

  PID-5-2 Patient Name - Given Name

  Parameters:
    `givenName` -
  Throws:
    `PixSourceException`

### addOptionalPatientNameOtherName

    public void addOptionalPatientNameOtherName(java.lang.String otherName)
                                         throws PixSourceException

  PID-5-3 Patient Name - Other Name

  Parameters:
    `otherName` -
  Throws:
    `PixSourceException`

### addOptionalPatientNameSuffix

    public void addOptionalPatientNameSuffix(java.lang.String suffix)
                                      throws PixSourceException

  PID-5-4 Patient Name - Suffix

  Parameters:
    `suffix` -
  Throws:
    `PixSourceException`

### addOptionalPatientNamePrefix

    public void addOptionalPatientNamePrefix(java.lang.String prefix)
                                      throws PixSourceException

  PID-5-5 Patient Name - Prefix

  Parameters:
    `prefix` -
  Throws:
    `PixSourceException`

### addOptionalPatientNameDegree

    public void addOptionalPatientNameDegree(java.lang.String degree)
                                      throws PixSourceException

  PID-5-6 Patient Name - Degree

  Parameters:
    `degree` -
  Throws:
    `PixSourceException`

### addOptionalPatientDateOfBirth

    public void addOptionalPatientDateOfBirth(java.lang.String dob)
                                       throws PixSourceException

  PID-7 Date/Time of Birth

  Parameters:
    `dob` -
  Throws:
    `PixSourceException`

### addOptionalPatientSex

    public void addOptionalPatientSex(java.lang.String sex)
                               throws PixSourceException

  PID-8 Administrative Sex

  Parameters:
    `sex` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressStreetAddress

    public void addOptionalPatientAddressStreetAddress(java.lang.String address)
                                                throws PixSourceException

  PID-11-1 Patient Address - Street Address

  Parameters:
    `address` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressOtherDesignation

    public void addOptionalPatientAddressOtherDesignation(java.lang.String address)
                                                   throws PixSourceException

  PID-11-2 Patient Address - Other Designation

  Parameters:
    `address` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressCity

    public void addOptionalPatientAddressCity(java.lang.String city)
                                       throws PixSourceException

  PID-11-3 Patient Address - City

  Parameters:
    `city` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressStateOrProvince

    public void addOptionalPatientAddressStateOrProvince(java.lang.String stateOrProvince)
                                                  throws PixSourceException

  PID-11-4 Patient Address - State or Province

  Parameters:
    `stateOrProvince` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressZipOrPostalCode

    public void addOptionalPatientAddressZipOrPostalCode(java.lang.String zipOrPostalCode)
                                                  throws PixSourceException

  PID-11-5 Patient Address - Zip or Postal Code

  Parameters:
    `zipOrPostalCode` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressCountry

    public void addOptionalPatientAddressCountry(java.lang.String country)
                                          throws PixSourceException

  PID-11-6 Patient Address - Country

  Parameters:
    `country` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressType

    public void addOptionalPatientAddressType(java.lang.String type)
                                       throws PixSourceException

  PID-11-7 Patient Address - Address Type

  Parameters:
    `type` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressOtherGeographicDesignation

    public void addOptionalPatientAddressOtherGeographicDesignation(java.lang.String otherDesignation)
                                                             throws PixSourceException

  PID-11-8 Patient Address - Other Geographic Designation

  Parameters:
    `otherDesignation` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressCountyParishCode

    public void addOptionalPatientAddressCountyParishCode(java.lang.String countyParishCode)
                                                   throws PixSourceException

  PID-11-9 Patient Address - County or Parish Code

  Parameters:
    `countyParishCode` -
  Throws:
    `PixSourceException`

### addOptionalPatientAddressCensusTract

    public void addOptionalPatientAddressCensusTract(java.lang.String censusTract)
                                              throws PixSourceException

  PID-11-10 Patient Address - Census Tract

  Parameters:
    `censusTract` -
  Throws:
    `PixSourceException`

### addOptionalPatientPhoneHomeUnformattedTelephoneNumber

    public void addOptionalPatientPhoneHomeUnformattedTelephoneNumber(java.lang.String homePhone)
                                                               throws PixSourceException

  PID-13-1 Home Phone Unformatted

  Parameters:
    `homePhone` -
  Throws:
    `PixSourceException`

### addOptionalPatientPhoneBusinessUnformattedTelephoneNumber

    public void addOptionalPatientPhoneBusinessUnformattedTelephoneNumber(java.lang.String businessPhone)
                                                                   throws PixSourceException

  PID-14-1 Business Phone Unformatted

  Parameters:
    `businessPhone` -
  Throws:
    `PixSourceException`

### addOptionalPatientAccountNumberId

    public void addOptionalPatientAccountNumberId(java.lang.String accountNumberId,
                                                  java.lang.String namespaceId,
                                                  java.lang.String universalId,
                                                  java.lang.String universalIdType)
                                           throws PixSourceException

  PID-18 Patient Account Number

  Parameters:
    `accountNumberId` -
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Throws:
    `PixSourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD